/*
 * Copyright (c) 1999 The University of Utah and the Flux Group.
 * All rights reserved.
 * 
 * This file is part of the Fluke Operating System.  The Fluke Operating System
 * is free software, also known as "open source;" you can redistribute it
 * and/or modify it under the terms of the GNU General Public License (GPL),
 * version 2, as published by the Free Software Foundation (FSF).  To explore
 * alternate licensing terms, contact the University of Utah at
 * csl-dist@cs.utah.edu or +1-801-585-3271.
 * 
 * The Fluke Operating System is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GPL for more
 * details.  You should have received a copy of the GPL along with the Fluke
 * Operating System; see the file COPYING.  If not, write to the FSF, 59 Temple
 * Place #330, Boston, MA 02111-1307, USA.
 */

/*
 * The kserver should simply return a null security ref, so we can use the
 * same SS for the root and non-root cases.  We set the exception to
 * ENOSYS.  Conformant security policy servers should interpret this
 * as "act as a root server."
 */

#if FLASK

#include <fluke/nest/server/server.h>
#include <errno.h>
mom_ref_t
nest_parent_get_security(nest_Parent_1_0_t *_obj, mom_exc_t *_ev)
{
	mom_set_exc(_ev, ENOSYS);
	return NULL;
}
#endif /* FLASK */

